// alku.js


alku_resX = 1024/2;
alku_resY = 768/2.7;

/* var cosi = new Array(360);
var sini = new Array(360); */

var alku_dot_count = 300;

var alku_dotX1=0;
var alku_dotY1=0;
var alku_dotZ1=0;

var alku_dotX2=0;
var alku_dotY2=0;
var alku_dotZ2=0;

var alku_dotX3=0;
var alku_dotY3=0;
var alku_dotZ3=0;

var alku_realX=0;
var alku_realY=0;
var alku_realZ=0;

var alku_xangle=0;
var alku_yangle=0;
var alku_zangle=0;
var alku_zangle2=180;

var alku_xcenter = -200;
var alku_ycenter = 0;
var alku_zcenter = 256;

function alku_init3D()
{
	/* for(var t=0; t<360; t++)
	{
		cosi[t] = Math.cos(t * 3.14 / 180);
		sini[t] = Math.sin(t * 3.14 / 180);		
	}	 */


}


function alku_rotationXYZ(alku_xanglex, alku_yangley, alku_zanglez)
{
	alku_dotY2 = alku_dotY1 * cosi[alku_xanglex] - alku_dotZ1 * sini[alku_xanglex]; 
      	alku_dotZ2 = alku_dotY1 * sini[alku_xanglex] + alku_dotZ1 * cosi[alku_xanglex];

	alku_dotZ3 = alku_dotZ2 * cosi[alku_yangley] - alku_dotX1 * sini[alku_yangley]; 
      	alku_dotX2 = alku_dotZ2 * sini[alku_yangley] + alku_dotX1 * cosi[alku_yangley];

	alku_dotX3 = alku_dotX2 * cosi[alku_zanglez] - alku_dotY2 * sini[alku_zanglez];
      	alku_dotY3 = alku_dotY2 * cosi[alku_zanglez] + alku_dotX2 * sini[alku_zanglez];
}

function alku_perspective()
{
	alku_realX = 256 * (alku_dotX3 / (alku_dotZ3 + alku_zcenter)) + alku_xcenter;
	alku_realY = 256 * (alku_dotY3 / (alku_dotZ3 + alku_zcenter)) + alku_ycenter;
	alku_realZ = alku_dotZ3;
}

function alku_drawText(alku_x,alku_y,alku_size,alku_color,alku_t)
{
	alku_sdot = document.getElementById('teksti'+alku_t).style;
		
	alku_sdot.left = alku_x + alku_resX;
	alku_sdot.top = alku_resY - alku_y;
	if (alku_t == 6)
		alku_sdot.color = '#'+dec2hex[alku_color]+"%00%00";
	else
		alku_sdot.color = '#'+dec2hex[alku_color]+dec2hex[alku_color]+dec2hex[alku_color];
	alku_sdot.fontSize = alku_size;
}

function alku_clean(alku_d)
{
	alku_sdotc = document.getElementById('vertex'+alku_d).style;
	alku_sdotc.left = -400;
}


var alku_y=100;
var alku_x=-150;
var alku_z = 0;

var alku_yy=-50;
var alku_xx=-50;
var alku_zz = 0;

var alku_angle = 0;

var zanglemuutos = 0;

function alkuteksti()
{
	alku_xangle+=0;
	if (alku_xangle >= 360)
		alku_xangle=0;

	alku_yangle+=0;
	if (alku_yangle >= 360)
		alku_yangle=0;

	if(timePos>16.8) zanglemuutos = 6;
	alku_zangle+=zanglemuutos;
	if (alku_zangle >= 360)
		alku_zangle=0;
	
	alku_angle++;

	alku_dotX1 = alku_x;
	alku_dotY1 = alku_y
	alku_dotZ1 = alku_z;
		
	alku_rotationXYZ(alku_xangle, alku_yangle, alku_zangle);
	alku_perspective();

	alku_x1 = alku_realX;
	alku_y1 = alku_realY;

	
	alku_dotX1 = alku_xx;
	alku_dotY1 = alku_yy
	alku_dotZ1 = alku_zz;
		
	alku_rotationXYZ(alku_xangle, alku_yangle, alku_zangle);
	alku_perspective();

	alku_x2 = alku_realX;
	alku_y2 = alku_realY;
	
	if(timePos>0.5) {
		alku_y1 = alku_y1 + Math.sin(alku_angle/10)*10;
		
		alku_drawText(alku_x1,alku_y1,24,64,1);
		alku_drawText(alku_x1+50,alku_y1-30,24,64,2);
		alku_drawText(alku_x1+100,alku_y1-60,24,64,3);
	}
	
	if(timePos>9) {
		alku_y2 = alku_y2 - Math.sin(alku_angle/10)*10;
		
		alku_drawText(alku_x2+150,alku_y2,24,64,4);
		alku_drawText(alku_x2+200,alku_y2-30,24,64,5);
		alku_drawText(alku_x2+250,alku_y2-60,24,64,6);
	}
}

function alku_vittuun()
{
	document.body.removeChild(document.getElementById('teksti1'));
	document.body.removeChild(document.getElementById('teksti2'));
	document.body.removeChild(document.getElementById('teksti3'));
	document.body.removeChild(document.getElementById('teksti4'));
	document.body.removeChild(document.getElementById('teksti5'));
	document.body.removeChild(document.getElementById('teksti6'));
}

